<template>
  <div class="space-y-1">
    <slot />
    <template v-if="errors">
      <p class="flex flex-col text-sm text-red-600">
        <template
          v-for="(error, index) in errors"
          :key="index"
        >
          <span>{{ error }}</span>
        </template>
      </p>
    </template>
  </div>
</template>

<script lang="ts" setup>
import type { ComputedRef } from "vue";

const props = defineProps<{
  id: string;
  errors?: string[];
}>();

provide<string>("id", props.id);
provide<ComputedRef<boolean>>(
  "errors",
  computed<boolean>(() => props?.errors !== undefined),
);
</script>
